package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author hlf
 * @date 2024/3/28 13:57
 * 文件说明：业绩对标管理信息
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PerformanceBenchmarkInfo extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private String id;

	/**
	 * 周期
	 */
	private String checkCycle;

	/**
	 * 年度
	 */
	private Integer degreeYear;

	/**
	 * 季/月度
	 */
	private Integer quarterlyMonth;

	/**
	 * 经营类别（火电、水电、风电、光伏、煤电、海外、综合）
	 */
	private String manageCategory;

	/**
	 * 单位主键
	 */
	private String companyId;

	/**
	 * 单位名称
	 */
	private String companyName;

	/**
	 * 单位简称
	 */
	private String companyShort;

	/**
	 * 装机容量
	 */
	private Double installCapacity;

	/**
	 * 指标名称
	 */
	private String indexName;

	/**
	 * 计划值
	 */
	private Double plannedValue;

	/**
	 * 实际完成值
	 */
	private Double completeValue;

	/**
	 * 推荐值
	 */
	private Double recommendedValue;

	/**
	 * 定标值
	 */
	private Double scalingValue;

	/**
	 * 是否标杆(1是 0否)
	 */
	private Integer isBg;

	/**
	 * 标杆值
	 */
	private Double bgVal;

	/**
	 * 是否达标(1是 0否)
	 */
	private Integer isDb;

	/**
	 * 达标值
	 */
	private Double dbVal;

	/**
	 * 是否超标(1是 0否)
	 */
	private Integer isCb;

	/**
	 * 超标值
	 */
	private Double cbVal;

}
